<script setup lang="ts">
  import { CmsBlockImageBubbleRow } from '@shopware-pwa/composables-next';

  const props = defineProps<{
    content: CmsBlockImageBubbleRow;
  }>();

  const { getSlotContent } = useCmsBlock(props.content);

  const leftContent = getSlotContent('left');
  const rightContent = getSlotContent('right');
  const centerContent = getSlotContent('center');
</script>

<template>
  <div class="grid gap-10 p-5 md:grid-cols-3">
    <div class="mx-auto flex items-center">
      <CmsGenericElement :content="leftContent" />
    </div>
    <div class="mx-auto flex items-center">
      <CmsGenericElement :content="centerContent" />
    </div>
    <div class="mx-auto flex items-center">
      <CmsGenericElement :content="rightContent" />
    </div>
  </div>
</template>

<style>
  div[name='cms-block-image-bubble-row'] div[name='cms-element-image'] img {
    @apply aspect-square rounded-full;
  }
</style>
